module PluckJson
  def pluck_json(*column_names)
    names = column_names.presence || self.column_names

    pluck(*column_names).map! do |row|
      Hash[ names.zip([*row]) ]
    end
  end
end

module PluckJson::Delegation
  def self.included(base)
    delegate :pluck_json, to: :all
  end
end
